/*------------------------------------------------------------------------
----- Navigation
------------------------------------------------------------------------ */

nav ul { 
	padding-left: 0; 
}

ul.navigation { 
	padding-left: 0; 
}

.top ul {
	border: solid $bg-border;
	border-width: 0 0 1px 0;
}

.bottom ul { 
	margin-bottom:0; 
}

.button.menu-button {
	display: flex;
	justify-content: flex-end;
	align-items: center;
	width: 100%;
	padding: (.5 * $spacing-unit) $margin;
	background-color: $bg-body;
	text-transform: uppercase;
	text-align: right;
	color: $color-global;
	cursor: pointer;

	@include breakpoint(lg) {
		display: none;
	}

	&::after {
		content: "";
		display: inline-block;
		width: 20px;
		height: 20px;
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 448 512'%3E%3Cpath fill='%2330a0f0' fill-rule='nonzero' stroke='%2330a0f0' d='M0 96c0-17.7 14.3-32 32-32h384c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32Zm0 160c0-17.7 14.3-32 32-32h384c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32Zm448 160c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32h384c17.7 0 32 14.3 32 32Z'/%3E%3C/svg%3E");
		background-size: contain;
		background-repeat: no-repeat;
		margin-left: 10px;
	}
}


.no-backgroundsize .menu-button::after { 
	background-image: url('../images/menu_ie.png');
}


#primary-nav {
	width: 100%;
	font-family: $font-family-2;

	@include breakpoint(lg) {
		margin-left: 0;
		margin-top: 1.75 * $spacing-unit;
	}
	@include breakpoint(lg) {
		margin-top: 0;
	}

	ul.navigation {
		position: relative;
		display: none;
		margin-top: 0;
		border-top: 1px solid $bg-border;

		@include breakpoint(lg) {
			display: grid;
			grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
			grid-column-gap: $margin;
			margin: 0;
			border-top: 0;
		}

		& > li {
			width: 100%;
			padding: 0;
			list-style-type: none;
			font-weight: 600;

			@include breakpoint(lg) {
				position: relative;

				&:hover,
				&:focus-within {

					@include breakpoint(lg) {
						box-shadow: inset 0 -3px 0 0 $bg-secondary-cpl;
					}
				}
			}

			a {
				display: block;
				border-bottom: 1px solid $bg-border;
				padding: (.5 * $spacing-unit) $spacing-unit;
				text-transform: uppercase;

				@include breakpoint(lg) {
					position: relative;
					max-width: 190px;
					height: 100%;
					padding-top: 16px;
					padding-bottom: 16px;
					padding-right: 32px;
					border: 0;
					line-height: 1.25;
				}
			}
		}

		li.open {
			background-color: lighten($bg-secondary-cpl,25%);

			li.open {
				background-color: lighten($bg-secondary-cpl,25%);
			}
			li:not(.open),
			li:not(.active):not(.open),
			li.open li:not(.open),
			li.open li:not(.active):not(.open) {
				background-color: $bg-body;
			}
		}
		li.active {
			box-shadow: inset 0 -3px 0 0 $bg-secondary-cpl;
		}

		ul {
			margin: 0;
			padding: 0;
			border-top: 0;

			li {
				width: 100%;
				margin: 0;
				list-style-type: none;
				font-weight: 400;

				@include breakpoint(lg) {
					width: auto;
					border-bottom: 2px solid $bg-border;
				}
				
				a {
					max-width: 100%;
					padding-left: 2 * $spacing-unit;
					border-left: 8px solid $bg-border;

					@include breakpoint(lg) {
						padding-top: 12px;
						padding-bottom: 12px;
						border-left: 0;

						&:hover,
						&:focus {
							background-color: lighten($bg-secondary-cpl, 25%);
							box-shadow: inset 0 -2px 0 0 $bg-secondary-cpl;
						}
					}
				}
				li {
					border-top: 2px dotted $bg-border;
					border-bottom: 0;

					a {
						padding-left: 2 * $spacing-unit;
						border-left: 16px solid $bg-border;
						text-transform: none;

						&:hover,
						&:focus {
						}
					}
				}

				li li a {
					padding-left: 4 * $spacing-unit;
				}
				li li li a {
					padding-left: 5 * $spacing-unit;
				}
			}
		}

		ul.sub-nav {
			display: none;

			@include breakpoint(lg) {
				background-color: $bg-body;
				border-color: $bg-border;
				border-style: solid;
				border-width: 2px 2px 0 2px;
				box-shadow: 0 4px 8px 0 rgba($bg-border, 0.6);
				line-height: 1.15;
				font-weight: normal;
			}
		}

		.open > ul, 
		.sub-nav.open {
			display: block;
			top: 0;
			left: 0;
			width: 100%;
			overflow: hidden;

			@include breakpoint(lg) {
				position: absolute;
				z-index: 20;
				left: 0;
				top: 100%;
				width: 200px;
			}
		}

		.parent {
			position: relative;
		}
		.sub-nav-toggle {
			position: absolute;
			top: 0;
			right: 0;
			width: (3 * $spacing-unit);
			height: 43px;
			background-color: $bg-body;
			border-style: solid;
			border-color: $bg-border;
			border-width: 0 1px 1px 1px;
		}
		.sub-nav-toggle::after,
		[aria-haspopup="true"]::after {
			position: absolute;
			left: 0;
			top: 0;
			content: "";
			display: block;
			width: 48px;
			height: 43px;
			background-repeat: no-repeat;
			background-size: 18px;
			background-position: center;
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 140 70'%3E%3Cpath fill='%2300a1f3' fill-rule='nonzero' d='M139.72 0 69.88 69.86 0 0'/%3E%3C/svg%3E");
			@include transition;

			@include breakpoint(lg) {
				left: auto;
				right: 0;
				width: 32px;
				background-position: top 20px center;
			}
		}

		.open .sub-nav-toggle::after,
		[aria-haspopup="true"].open::after {
			transform: rotate(180deg);
		}
		.open .parent:not(.open) .sub-nav-toggle::after {
			transform: rotate(0deg);
		}
	}

	ul {

		@include breakpoint(lg) {
			margin-top: 0;
			margin-bottom: 2 * $spacing-unit;
		}
	}
	.active ul {

		@include breakpoint(lg) {
			display: block;
		}
	}
}
// Neutraliser le highlight sur l'entrée Exposition quand on est sur les parcours
.parcours {

	#primary-nav ul.navigation li.active:not(:first-child) {
		background-color: transparent;
		box-shadow: none;
	}

}

.secondary-nav, 
#secondary-nav {

	@include breakpoint(lg) {
		border-bottom:1px solid $bg-border;
		font-size:1.125em;
	}

	ul { 
		margin: 0; 

		@include breakpoint(lg) {
			margin: 0 0 -1px 0;
		}
	}

	li {
		display: inline-block;
		margin: 0 10px 0 0;
		padding: 0;
		list-style-type: none;
		font-size: .875em;
		
		@include breakpoint(lg) {
			display: inline-block;
			padding: 0;
			border: 1px solid $bg-border;
		}

		&:last-of-type { 
			border-bottom: 0; 
		}

	}
	a {
		display: inline-block;
		padding: (.25 * $spacing-unit) (.5 * $spacing-unit);
		border-bottom: 0;

		@include breakpoint(lg) {
			padding: 0.5em 1em 0.5em;
			border-bottom: 0;
			color: #666;
		}
	}
	.active {

		@include breakpoint(lg) {
			border-bottom-color: #fff;
		}

	}
	.current a {

		@include breakpoint(lg) {
			background: #fff;
			border: 1px solid $bg-border;
			border-bottom-color: #fff;
			font-weight: bold;
			color: #333;
		}

	}
}



/* PAGINATION ----------------------------------------------------------------- */

.pagination {	
	display: grid;
	grid-template-columns: 1fr 32px 32px;
	grid-template-areas: 'pages previous next';
	grid-column-gap: $margin;
	align-items: center;
	padding: 0;
	margin: 0;

	@include breakpoint(lg) {
	}

	.page-input {
		grid-area: pages;
		width: 100%;
		list-style-type: none;
	}
	form {
		display: flex;
		flex-flow: row wrap;
		align-items: center;
		justify-content: flex-end;
		column-gap: $margin;
	}
	label {
		display: flex;
		align-items: center;
		height: max-content;
		padding: 4px 12px;
		background-color: $bg-form;
		border: 1px solid $bg-form;
		text-transform: uppercase;
		font-weight: 600;
	}
	input[type="text"] {
		width: 2em;
		height: auto;
		padding: 2px;
		background-color: transparent;
		border: 0;
		text-align: right;
	}
}

.pagination_next, 
.pagination_previous {
	height: 24px;
	width: 24px;
	list-style-type: none;

	a {
		position: relative;
		display: block;
		height: 100%;
		padding: 0 10px;
		background-color: $bg-secondary;
		border-bottom: 0;
		text-indent: -9999px;
		color: $color-light;

		&::before {
			position: absolute;
			top: 0;
			left: 0;
			display: block;
			width: 100%;
			height: 100%;
			text-indent: 0;
			
			background-repeat: no-repeat;
			background-position: center;
			background-size: 8px 16px;
		}
	}
}

.pagination_next {
	grid-area: next;

	a::before {
		content: '';
		background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 70 140'%3E%3Cpath fill='%23fff' fill-rule='nonzero' d='m0 0 69.86 69.86L0 139.72'/%3E%3C/svg%3E");
	}
}

.pagination_previous {
	grid-area: previous;

		a::before {
			content: '';
			background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' fill-rule='evenodd' stroke-linejoin='round' stroke-miterlimit='2' clip-rule='evenodd' viewBox='0 0 70 140'%3E%3Cpath fill='%23fff' fill-rule='nonzero' d='M69.87 0 0 69.86l69.87 69.86'/%3E%3C/svg%3E");
		}
}

nav.pagination {
	overflow: visible;

	.pagination_list { 
		padding-top: 0; 
	}

	.pagination_list li { 
		height: auto; 
	}
}

nav.pagination:nth-of-type(3), 
#content > .pagination:nth-of-type(2) {
	width: 100%;
	height: 96px;
}

nav.pagination:nth-of-type(3) ul, 
#content > .pagination:nth-of-type(2) {
	padding-top: $spacing-unit;
	margin: 0 0 $spacing-unit 0;
	border-top: 1px solid $bg-border;
	border-bottom: 0;
}

#content > nav.pagination:nth-of-type(2) {
	width: 100%;
	height: auto;
	padding-top: 0;
	margin-bottom: 0;
	border-top: 0;

	@include breakpoint(lg) {
		width: 47%;
	}
}

.pagination_list {
	margin: 0;
	width: 100%;
	overflow: hidden;
	list-style-type: none;
	font-size: .875em;
	padding-top: .5 * $spacing-unit;

	@include breakpoint(lg) {
		float: left;
		margin-top: .75 * $spacing-unit;
	}

	.pagination_current {
		background-color: #ccc;
		color: #444;
		font-weight: bold;
	}

	.next {
		border-left:1px solid $bg-border;
		padding-left:1em;
	}

	.previous {
		border-right:1px solid $bg-border;
		padding-right:1em;
	}

	li {
		float: left;
		margin: 0;

		&:last-child a { border-right-width: 1px; }
	}

	.pagination_previous, .pagination_next { display: none; }

	.pagination_current, 
	a {
		display: inline-block;
		padding: (.25 * $spacing-unit) 10px;
		vertical-align: top;
		border: solid $bg-border;
		border-width: 1px 0 1px 1px;

		@include breakpoint(lg) {
			display: inline-block;
			padding: (.25 * $spacing-unit) 10px;
			margin-right: 10px;
			vertical-align: top;
			border: 1px solid $bg-border;
		}
	}
}

.item-pagination {
	border-top:1px solid $bg-border;
	margin: 0 0 1.5em 0;
	overflow:hidden;
	padding-top:1.5em;

	li.previous {
		width:48%;
		display:block;
		float:left;
	}

	li.next {
		width: 48%;
		display:block;
		float:right;
		text-align:right;
	}
}

#sort-links {
	clear: both;
	font-size: .875em;

	@include breakpoint(lg) {
		clear: none;
		float: right;
	}

	ul {

		@include breakpoint(lg) {
			margin-top: .75 * $spacing-unit;
			padding-top: .5 * $spacing-unit;
		}
	}
	li,
	span {

		@include breakpoint(lg) {
			padding: (.25 * $spacing-unit) 0 (.25 * $spacing-unit) 20px;
			margin-right: 0;
		}
	}
	span {
		font-weight: bold;
		margin-right: $margin;
	}
}

#sort-links-list {
	list-style: none;
	display: inline-block;
	padding-left: 0;

	li {
		display: inline-block;
		margin-right: $margin;
	}
}

#sort-links + .item {
	border-top: 1px solid $bg-border;
	clear: both;
}

.desc a::after, .asc a::after {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
	display: inline-block;
}

.desc a::after {
	content: "\00a0\f0d8";
}

.asc a::after {
	content: "\00a0\f0d7";
}